// @APIVersion 1.0.0
// @Title beego Test API
// @Description beego has a very cool tools to autogenerate documents for your API
// @Contact astaxie@gmail.com
// @TermsOfServiceUrl http://beego.me/
// @License Apache 2.0
// @LicenseUrl http://www.apache.org/licenses/LICENSE-2.0.html
package routers

import (
	"hongze/hongze_edb_lib/controllers"

	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	ns := beego.NewNamespace("/edbapi",
		beego.NSNamespace("/ths",
			beego.NSInclude(
				&controllers.ThsController{},
			),
		),
		beego.NSNamespace("/pb",
			beego.NSInclude(
				&controllers.PbController{},
			),
		),
		beego.NSNamespace("/wind",
			beego.NSInclude(
				&controllers.WindController{},
			),
		),
		beego.NSNamespace("/calculate",
			beego.NSInclude(
				&controllers.CalculateController{},
			),
		),
	)
	beego.AddNamespace(ns)
}
